.media-story-video {
    padding-top: var(--padding-top);
    padding-bottom: var(--padding-bottom);
}

.media-story-brand-parent {
    position: relative;
    overflow: hidden;
}

.media-story-main-video-item video {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    max-width: 100%;
}

.media-story-block-img img {
    display: block;
    max-width: 100%;
    height: auto;
    object-fit: cover;
}

.story-bg-item-blocks {
    background: var(--bg-color);
    height: 100%;
    transition: all 1s;
}

.media-story-text-flex {
    display: flex;
    align-items: center;
    gap: 12px;
    height: 100%;
    max-width: 85%;
    margin: 0 auto;
    padding: 0 20px;
}

.story-bg-item-blocks:last-child .media-story-text-flex {
    justify-content: end;
    max-width: 80%;
}

.media-story-text-flex.row-reverse {
    flex-direction: row-reverse;
}

.media-story-block-text * {
    font-family: 'GT America Bold';
    font-size: 10.5208vw;
    line-height: 1;
    white-space: nowrap;
}

.story-bg-item-blocks:nth-child(2) .media-story-text-flex {
    max-width: 50%;
    gap: 70px;
}

.media-story-section-blocks {
    position: relative;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    z-index: 1;
    transition: all 0.6s;
}

.media-story-main-video-item {
    height: 100%;
}

.media-story-video-items {
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 0;
}

.media-story-absolute-items {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 0;
    right: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 0 20px;
    background: rgb(0, 0, 0, 0.2);
}

h2.video_content-media_ttl {
    font-size: 40px;
    color: #FFFFFF;
    text-align: center;
    text-transform: capitalize;
    font-family: 'GT America Bold' !important;
}

.video_content-media_content {
    font-family: 'GT America-Regular';
    font-size: 20px;
    color: #FFFFFF;
    text-align: center;
    line-height: 1.5;
    margin: 16px 0 30px 0;
    text-transform: capitalize;
}

a.media-story-btn-items {
    width: fit-content;
    margin: 0 auto;
    background: var(--btn-bg);
    color: var(--btn-txt-color);
    min-width: 186px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 14px;
    font-size: 20px;
    line-height: 1.2;
    text-transform: capitalize;
    border: 1px solid var(--btn-bg);
    transition: all 0.5s;
}

a.media-story-btn-items:hover {
    color: var(--btn-bg);
    background: transparent;
}

.media-story-section-blocks.is-animated .media-story-text-flex {
    transition: all 0.9s;
}

.is-animated .media-story-text-flex {
    transform: translateY(0);
    opacity: 1;
}

.story-bg-item-blocks:nth-child(2) {
    background: #4B5344;
}

.media-story-section-blocks.is-animated .story-bg-item-blocks:nth-child(2) {
    background: var(--bg-color);
}

.media-story-section-blocks.is-animated .story-bg-item-blocks:last-child .media-story-text-flex,
.media-story-section-blocks.is-animated .story-bg-item-blocks:nth-child(2) .media-story-text-flex,
.media-story-section-blocks.is-animated .media-story-text-flex.row-reverse {
    justify-content: end;
}

.video-content_media-story {
    transform: translateY(100%);
    opacity: 0;
    transition: all 0.9s;
}

.media-story-brand-parent.is-activated .video-content_media-story {
    transform: translateY(0);
    opacity: 1;
}

.story-bg-item-blocks {
    height: 33.33%;
    overflow: hidden;
}

.media-story-brand-parent {
    overflow: hidden;
    height: calc(100dvh - 82px);
    position: sticky;
    top: 82px;
    width: 100%;
}

.media-story-video {
    height: 250vh;
}

.media-story-text-flex.row-reverse .media-story-block-img {
    transform: translateX(50%);
    transition: all 0.8s;
    position: relative;
    z-index: 2;
}

.media-story-section-blocks.is-animated .media-story-text-flex.row-reverse .media-story-block-img {
    transform: translateX(0);
}

.media-story-section-blocks .media-story-text-flex.row-reverse .media-story-block-text {
    transform: translateX(-50%);
    position: relative;
    left: -50%;
    transition: all 0.8s;
}

.media-story-section-blocks.is-animated .media-story-text-flex.row-reverse .media-story-block-text {
    transform: translateX(0%);
    left: 0;
}

.media-story-text-flex.row-reverse {
    flex-direction: row;
}

.media-story-brand-parent.is-activated .media-story-section-blocks {
    transform: translateY(-100%);
    opacity: 0;
}

.story-bg-item-blocks:nth-child(1) .media-story-block-text {
    background-position: top;
}

.story-bg-item-blocks:nth-child(3) .media-story-block-text {
    background-position: bottom;
}

.story-bg-item-blocks:nth-child(2) .media-story-block-text {
    background-position: center;
}

.media-story-block-text {
    mix-blend-mode: screen;
    background: url("https://img.myshopline.com/image/store/1724049484189/about-us.gif?w=400&h=225");
    background-size: 100rem;
    background-position: center;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-repeat: no-repeat;
}

@media(min-width: 768px) {

    .media-story-section-blocks.is-animated .story-bg-item-blocks:last-child .media-story-text-flex,
    .media-story-section-blocks.is-animated .story-bg-item-blocks:nth-child(2) .media-story-text-flex,
    .media-story-section-blocks.is-animated .media-story-text-flex.row-reverse {
        max-width: 85%;
    }


}

@media(max-width: 1025px) {

    .media-story-video-items,
    .media-story-main-video-item {
        height: 100%;
    }
}

@media(max-width: 768px) {
    .video_content-media_content {
        font-size: 16px;
    }

    h2.video_content-media_ttl {
        font-size: 28px;
        margin-bottom: 20px;
    }

    a.media-story-btn-items {
        min-width: 176px;
        padding: 10px;
        font-size: 16px;
    }

    .story-bg-item-blocks:nth-child(2) .media-story-text-flex {
        gap: 20px;
    }

    .media-story-video {
        padding-top: var(--padding-top-mobile);
        padding-bottom: var(--padding-bottom-mobile);
    }

    .media-story-brand-parent {
        aspect-ratio: 1/1;
    }
}